TotalDegreeCoefTermConsumer Class Reference

`#include <TotalDegreeCoefTermConsumer.h>`

Inheritance diagram for TotalDegreeCoefTermConsumer:

## Public Member Functions

| TotalDegreeCoefTermConsumer (unique_ptr< CoefBigTermConsumer > consumer, const TermTranslator &translator)
| TotalDegreeCoefTermConsumer (CoefBigTermConsumer &consumer, const TermTranslator &translator)
virtual void | consumeRing (const VarNames &names)
virtual void | beginConsuming ()
virtual void | consume (const mpz_class &coef, const Term &term)
virtual void | doneConsuming ()
Public Member Functions inherited from CoefTermConsumer
virtual | ~CoefTermConsumer ()
virtual void | consume (const Polynomial &poly)

## Private Attributes

CoefBigTermConsumer & | _consumer
unique_ptr< CoefBigTermConsumer > | _consumerOwner
const TermTranslator & | _translator
mpz_class | _tmp
UniHashPolynomial | _poly

## Detailed Description

Definition at line 35 of file TotalDegreeCoefTermConsumer.h.

## Constructor & Destructor Documentation

## TotalDegreeCoefTermConsumer() [1/2]

TotalDegreeCoefTermConsumer::TotalDegreeCoefTermConsumer | ( | unique_ptr< CoefBigTermConsumer > | consumer,
|  | const TermTranslator & | translator )

Definition at line 24 of file TotalDegreeCoefTermConsumer.cpp.

## TotalDegreeCoefTermConsumer() [2/2]

TotalDegreeCoefTermConsumer::TotalDegreeCoefTermConsumer | ( | CoefBigTermConsumer & | consumer,
|  | const TermTranslator & | translator )

Definition at line 33 of file TotalDegreeCoefTermConsumer.cpp.

## Member Function Documentation

## beginConsuming()

void TotalDegreeCoefTermConsumer::beginConsuming | ( |  | ) |

virtual

Implements CoefTermConsumer.

Definition at line 45 of file TotalDegreeCoefTermConsumer.cpp.

## consume()

void TotalDegreeCoefTermConsumer::consume | ( | const mpz_class & | coef,
|  | const Term & | term )

virtual

Implements CoefTermConsumer.

Definition at line 48 of file TotalDegreeCoefTermConsumer.cpp.

## consumeRing()

void TotalDegreeCoefTermConsumer::consumeRing | ( | const VarNames & | names | ) |

virtual

Implements CoefTermConsumer.

Definition at line 40 of file TotalDegreeCoefTermConsumer.cpp.

## doneConsuming()

void TotalDegreeCoefTermConsumer::doneConsuming | ( |  | ) |

virtual

Implements CoefTermConsumer.

Definition at line 62 of file TotalDegreeCoefTermConsumer.cpp.

## Member Data Documentation

## _consumer

CoefBigTermConsumer& TotalDegreeCoefTermConsumer::_consumer

private

Definition at line 49 of file TotalDegreeCoefTermConsumer.h.

## _consumerOwner

unique_ptr<CoefBigTermConsumer> TotalDegreeCoefTermConsumer::_consumerOwner

private

Definition at line 50 of file TotalDegreeCoefTermConsumer.h.

## _poly

UniHashPolynomial TotalDegreeCoefTermConsumer::_poly

private

Definition at line 54 of file TotalDegreeCoefTermConsumer.h.

## _tmp

mpz_class TotalDegreeCoefTermConsumer::_tmp

private

Definition at line 52 of file TotalDegreeCoefTermConsumer.h.

## _translator

const TermTranslator& TotalDegreeCoefTermConsumer::_translator

private

Definition at line 51 of file TotalDegreeCoefTermConsumer.h.

The documentation for this class was generated from the following files:

- src/TotalDegreeCoefTermConsumer.h
- src/TotalDegreeCoefTermConsumer.cpp